Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.webui
Class FileManagerThumbnail

    java.lang.Object
      org.meshcms.core.AbstractThumbnail
          org.meshcms.webui.FileManagerThumbnail

public class FileManagerThumbnail
extends AbstractThumbnail

Field Summary
`static int` | `THUMB_HEIGHT` Height of the thumbnail.
`static int` | `THUMB_SIZE` Width and height of the image in the thumbnail.
`static int` | `THUMB_WIDTH` Width of the thumbnail.

Fields inherited from class org.meshcms.core.AbstractThumbnail
`DEFAULT_BORDER_COLOR`

Constructor Summary
`FileManagerThumbnail()`

Method Summary
`protected boolean` | `createThumbnail(java.io.File imageFile, java.io.File thumbnailFile)` Creates the thumbnail.
`java.lang.String` | `getSuggestedFileName()` Returns the recommended file name for the current thumbnail.
`boolean` | `isHighQuality()` Returns the quality setting.
`void` | `setHighQuality(boolean highQuality)` Enables or disables better quality for image resizing.

Methods inherited from class org.meshcms.core.AbstractThumbnail
`averageResize, checkAndCreate, drawResizedImage, linearResize, resize, resizeAndDrawImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THUMB_WIDTH

    public static final int THUMB_WIDTH

  Width of the thumbnail.

  See Also:
    Constant Field Values

### THUMB_HEIGHT

    public static final int THUMB_HEIGHT

  Height of the thumbnail.

  See Also:
    Constant Field Values

### THUMB_SIZE

    public static final int THUMB_SIZE

  Width and height of the image in the thumbnail.

  See Also:
    Constant Field Values

Constructor Detail

### FileManagerThumbnail

    public FileManagerThumbnail()

Method Detail

### getSuggestedFileName

    public java.lang.String getSuggestedFileName()

  Description copied from class: `AbstractThumbnail`
  Returns the recommended file name for the current thumbnail.

  Specified by:
    `getSuggestedFileName` in class `AbstractThumbnail`

### createThumbnail

    protected boolean createThumbnail(java.io.File imageFile,
                                      java.io.File thumbnailFile)

  Description copied from class: `AbstractThumbnail`
  Creates the thumbnail. Called only if needed.

  Specified by:
    `createThumbnail` in class `AbstractThumbnail`
  Parameters:
    `imageFile` - source image file to create thumbnail from
    `thumbnailFile` - destination file
  Returns:
    true if succeded to create the thumbnail and false if an error(exception) occured

### isHighQuality

    public boolean isHighQuality()

  Returns the quality setting.

### setHighQuality

    public void setHighQuality(boolean highQuality)

  Enables or disables better quality for image resizing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD